Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.indexer
Interface Indexer

    public interface Indexer

Remote interface for the Indexer EJB. This EJB provides access to the `ISearchManager`'s indexing methods.

Method Summary
`void` | `indexContentByPath(String path)` Index content by path.
`void` | `indexContentByType(String typeName, String repositoryName)` Index content by type.

Method Detail

### indexContentByPath

    void indexContentByPath(String path)
                            throws RemoteException

  Index content by path. All content at the given path and below will be indexed. This method is provided as a convenience. If a repository has been running without search indexing enabled (either repository events were disabled, or the search listener was not configured), then this method can be used to reindex content. This method should be used sparingly, as it can be quite expensive given a large amount of content.

  Parameters
    `path` - The path of the node on which to start the index operation.
  Throws
    `RemoteException`

### indexContentByType

    void indexContentByType(String typeName,
                            String repositoryName)
                            throws RemoteException

  Index content by type. All content for the given type will be indexed. This method is provided as a convenience. If a repository has been running without search indexing enabled (either repository events were disabled, or the search listener was not configured), then this method can be used to reindex content. This method should be used sparingly, as it can be quite expensive given a large amount of content.

  Parameters
    `typeName` - The name of the type.
    `repositoryName` - the name of the repository
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved